[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# CompareMem

Compare two memory areas.

## Declaration

Source position: sysstrh.inc line 78

`function CompareMem(`
`P1: Pointer;`
`P2: Pointer;`
`Length: PtrUInt`
`):Boolean;`

## Description

CompareMem compares, byte by byte, 2 memory areas pointed to by P1 and P2, for a length of L bytes.

The function returns True if all L bytes are the same, and False otherwise.

Documentation generated on: Feb 26 2014